> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start managing an existing Airflow SSH connection



## OpenAPI

````yaml post /api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/migration/infrastructure-config/ssh-connections/{conn_id}/adopt:
    post:
      tags:
        - Infrastructure configuration
      summary: Start managing an existing Airflow SSH connection
      operationId: >-
        adopt_ssh_connection_api_migration_infrastructure_config_ssh_connections__conn_id__adopt_post
      parameters:
        - name: conn_id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 200
            pattern: ^[\w.-]+$
            title: Conn Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SshConnectionResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    SshConnectionResponse:
      properties:
        conn_id:
          type: string
          title: Conn Id
        host:
          anyOf:
            - type: string
            - type: 'null'
          title: Host
        port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Port
        login:
          anyOf:
            - type: string
            - type: 'null'
          title: Login
        auth_method:
          anyOf:
            - type: string
              enum:
                - private_key
                - password
                - key_file
            - type: 'null'
          title: Auth Method
        managed:
          type: boolean
          title: Managed
          default: false
        conn_type:
          type: string
          title: Conn Type
          default: ssh
        key_file:
          anyOf:
            - type: string
            - type: 'null'
          title: Key File
        timeout:
          anyOf:
            - type: integer
            - type: 'null'
          title: Timeout
        no_host_key_check:
          anyOf:
            - type: boolean
            - type: 'null'
          title: No Host Key Check
        allow_host_key_change:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allow Host Key Change
        compress:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Compress
        look_for_keys:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Look For Keys
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        private_key_set:
          type: boolean
          title: Private Key Set
          default: false
        password_set:
          type: boolean
          title: Password Set
          default: false
      type: object
      required:
        - conn_id
      title: SshConnectionResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.